Skip to main content
PATCH
/
revisions
/
{build_id}
Update revision
curl --request PATCH \
  --url https://api.duvo.ai/v1/revisions/{build_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "config": {},
  "handoverTargetIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "revision_name": "<string>",
  "revision_description": "<string>"
}
'
{
  "build": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "copilot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "config": {
      "data": {
        "model": "<string>",
        "tools": "<unknown>",
        "input": "<string>",
        "files": [],
        "skills": [],
        "temperature": 1,
        "max_output_tokens": 1,
        "top_p": 0.5,
        "store": true,
        "text": {
          "format": {}
        }
      }
    },
    "status": "<string>",
    "revision_number": 123,
    "parent_build_id": "<string>",
    "created_by": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>",
    "revision_name": "<string>",
    "revision_description": "<string>",
    "created_by_name": "<string>",
    "schedules": [
      {
        "id": "<string>",
        "build_id": "<string>",
        "agent_id": "<string>",
        "user_id": "<string>",
        "enabled": true,
        "time": "<string>",
        "timezone": "<string>",
        "day": "<string>",
        "day_of_month": 123,
        "cron": "<string>",
        "source": "<string>",
        "task": "<string>",
        "recurring": true,
        "created_at": "<string>",
        "updated_at": "<string>",
        "user_name": "<string>",
        "user_email": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.duvo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

build_id
string<uuid>
required

The build's unique identifier

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$

Body

application/json
config
object

Build configuration object

handoverTargetIds
string<uuid>[]

Agent IDs that this agent can hand over work to

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
revision_name
string | null

Optional user-defined name for this revision. Pass null to clear.

Required string length: 1 - 80
revision_description
string | null

Optional user-defined description for this revision. Pass null to clear.

Maximum string length: 500

Response

Default Response

build
object
required

The updated build